Subject: [Netconf] rfc5277:one session can only support one <create-subscription>?

From: [email-masked]
Date: Tue, 4 Aug 2015 09:52:00 +0800

Hello!

I was confused by the RFC5277 relationship between the session and 
subscription numbers.

In RFC5277:

2.  Notification-Related Operations
2.1.  Subscribing to Receive Event Notifications

   The event notification subscription is initiated by the NETCONF
   client and responded to by the NETCONF server.  A subscription is
   bound to a single stream for the lifetime of the subscription.  When
   the event notification subscription is created, the events of
   interest are specified.

QUESTION：a session can contain subscription. 
          May a session contain several subscriptions?

6.  Interleave Capability
6.5.  Modifications to Existing Operations

   When a <create-subscription> is sent while another subscription is
   active on that session, the following error will be returned:

      Tag: operation-failed

      Error-type: protocol

      Severity: error

      Error-info: none

      Description: Request could not be completed because the requested
      operation failed for some reason not covered by any other error
      condition.

QUESTION: when interleave capability is active, a session can only support
          one <create-subscription> at one time. 
          Does it imply that
          when a subscription is active, if there is no interleave 
capability
          and agent receive another <create-subscription>, session will 
          support both two subscription?

thanks :)
--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.

---

From: Andy Bierman <[email-masked]>
Date: Mon, 3 Aug 2015 19:21:49 -0700

>           May a session contain several subscriptions?

no

>           support both two subscription?

the :interleave capability means the server will accept commands on
the same session that notifications are being sent.  The server has
to interleave complete <rpc-reply> and <notification> messages

Another <create-subscription> is not allowed.

> thanks :)

Andy

> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Wed, 5 Aug 2015 16:42:46 +0000

draft-clemm-netconf-yang-push is intended to support many subscriptions on a NETCONF session.  This draft was verbally approved for WG status a couple weeks ago in Prague, although the formal mailing list vote is still pending.

Can you take a look at section 3.8 of that draft above and see if it meets your needs?   And if not, suggest what else might be necessary?

Thanks,
Eric

From: Andy Bierman, August 03, 2015 10:22 PM

On Mon, Aug 3, 2015 at 6:52 PM, <[email-masked]<mailto:[email-masked]>> wrote:
Hello!

I was confused by the RFC5277 relationship between the session and subscription numbers.

In RFC5277:

no

6.  Interleave Capability

      Tag: operation-failed

      Error-type: protocol

      Severity: error

      Error-info: none

          when a subscription is active, if there is no interleave capability

thanks :)

Andy

_______________________________________________
Netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf

---

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Wed, 5 Aug 2015 18:50:46 +0000

Hi Eric,

there is no additional voting on the maillist. As per process we verify the meeting result on the maillist and ask whether there is an objection.
This happened, via the mail with the subject “[Netconf] Summary and AIs from the NETCONF Session in IETF #93” on July 25th.

The next step is to update the charter. Once the charter is through the AD review and IESG approval,
we will ask you to provide draft-ietf-netconf-yang-push-00.txt, which then will be accepted on IETF server.

Mehmet

From: Netconf [mailto:[email-masked]] On Behalf Of ext Eric Voit (evoit)
Sent: Wednesday, August 05, 2015 6:43 PM
To: [email-masked]
Cc: Netconf
Subject: Re: [Netconf] rfc5277:one session can only support one <create-subscription>?

Thanks,
Eric

In RFC5277:

no

6.  Interleave Capability

      Tag: operation-failed

      Error-type: protocol

      Severity: error

      Error-info: none

thanks :)

Andy